Upload to Commons from any Wikimedia website
Closed, ResolvedPublic

Description

Author: kisssatansfeet

Description:
Upon pressing "Upload file" in Wikipedia (as an example) - the user should not only be
confronted with a "Select file" and "Summary" box, but also a drop down box with licenses.
This license box may be left blank for the user to fill in later - but if selected the license
template will be added to the page automatically.

More importantly, if a copyleft license is selected - GFDL, PD, CC, etc. - the image is not
uploaded to the Wikipedia project in which the user is operating, but to Commons. Conversely,
all non-copyleft images are only uploaded to that local project. This file may be a form of
metafile, in which case the user could over-ride the upload to commons, and instead simply
locally upload it.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1552.
bzimport created this task.Via LegacyFeb 17 2005, 1:31 PM
bzimport added a comment.Via ConduitFeb 18 2005, 1:32 AM

paddyez wrote:

http://commons.wikimedia.org/wiki/Image:Kostel_Panny_Marie_Snezne_01_2003-12-22.jpg
is how it could look for starters. thanx Paddy --~~~~

bzimport added a comment.Via ConduitFeb 19 2005, 4:33 PM

alarm wrote:

(In reply to comment #0)

Upon pressing "Upload file" in Wikipedia (as an example) <..>
a drop down box with licenses. <..>

More importantly, if a copyleft license is selected - GFDL, PD, CC, etc. - the

image is not

uploaded to the Wikipedia project in which the user is operating, but to

Commons. <..>

If file is uploaded to commons, there will be issues with uploading user - login
to commons somehow should be handled.

As of drop-down box for licenses - it would be definitely good, but will be a
need to somehow define set of licenses available to wikipedia - commons (and
some other wikis) use many different licenses, but by default probabl smaller
set should be provided (GFDL, PD, few more). So, the set of available licenses
should be defined in some page or licenses can be moved to a different namespace
(which will work just like Template: namespace, but will show that this template
is a license description).

bzimport added a comment.Via ConduitJul 4 2005, 7:53 PM

eran_roz wrote:

It would be nice to add this drop down box as a must for uploading - then all
the uploaded files will have a copyright information.

bzimport added a comment.Via ConduitSep 12 2005, 8:41 AM

finji wrote:

Automatic upload into commons isnt a good way because the picture must be either
categorized or put into a gallery, otherwise it will not be found again by others.

bzimport added a comment.Via ConduitDec 19 2005, 7:33 AM

robchur wrote:

(In reply to comment #4)

Automatic upload into commons isnt a good way because the picture must be either
categorized or put into a gallery, otherwise it will not be found again by others.

Isn't that the case where people manually upload images and then forget to
categorise them, though?

bzimport added a comment.Via ConduitMar 12 2006, 5:58 PM

webmaster wrote:

The drop-down box for upload licensing seems to already exist...

I think there would be too many variables to handle in order to auto-upload to
the appropriate site. (Wikipedia -> Commons) For instance, username/password,
categorizating, path-mapping...

I think it might be best to display a warning instead. If the user selects a
'free' license, it should display a notice asking the user to instead upload it
to commons, etc.

By the way? Is there an extension for that license dropdown box, or is that an
SpecialUpload.php hack?

MaxSem added a comment.Via ConduitApr 17 2007, 8:46 PM

This can be accomplished via JS, as upload forms don't need edit token. A simple
proof of concept: adding the following lines to licenseSelectorCheck() in
upload.js will result in automatic upload redirection:

if (selector.selectedIndex > 2) {
    document.getElementById("upload").action="http://meta.wikimedia.org/wiki/

Special:Upload";

}

Of course, real application would be much more complicated, and ask a user if s/
he really wants to upload to Commons, but this feature would be really useful.

bzimport added a comment.Via ConduitJul 26 2007, 3:36 PM

dario wrote:

In response to Comment #6, the Commons user and password could be stored as a user preference in the local wiki. Then after uploading the image, the Commons Image page is shown so thís person can add the appropiate category, or description.

gpaumier added a comment.Via ConduitDec 28 2009, 10:45 PM

Broadening the scope of this bug: if we do it for WP & WB, we will do it for any WM website.

G.Hagedorn added a comment.Via ConduitJan 10 2011, 8:04 PM

g.m.hagedorn wrote:

Single-Sign-on is in place, license drop-down is in place - the suggestion to automatically and always upload cc-by-sa and other commons-compatible works to commons seems to be a trivial step away! Please investigate whether this is not possible now to handle behind the scenes, rather than asking users to learn the complications of the separate repositories.

bzimport added a comment.Via ConduitJan 10 2011, 8:15 PM

Bryan.TongMinh wrote:

(In reply to comment #10)

Single-Sign-on is in place, license drop-down is in place - the suggestion to
automatically and always upload cc-by-sa and other commons-compatible works to
commons seems to be a trivial step away! Please investigate whether this is not
possible now to handle behind the scenes, rather than asking users to learn the
complications of the separate repositories.

If it were trivial I would have done it by now.

gpaumier added a comment.Via ConduitJan 11 2011, 9:27 AM

From the Upload Wizard Q&A page:

"One of our wishlist items is to integrate the upload wizard directly into the editing workflow on projects like Wikipedia, as opposed to requiring users to visit a separate website. However, the current separation actually makes sense while the projects maintain separate infrastructure for purposes such as user-to-user messaging and change notification. Until we have improved integration of this infrastructure, it would be too risky to simply transparently send uploads to Wikimedia Commons, as users would not see new message notifications or other change notifications, and the normal interaction with uploaders on Wikimedia Commons could break down."

Reedy added a comment.Via ConduitFeb 9 2012, 10:05 PM
  • This bug has been marked as a duplicate of bug 20512 ***
G.Hagedorn added a comment.Via ConduitFeb 9 2012, 10:54 PM

g.m.hagedorn wrote:

The but 20512, of which this is assumed to be a duplicate is completely opaque to me. Is it wise to drop a well documented, well discussed bug thread in favor of a narrow, undocumented, technical one?

Reedy added a comment.Via ConduitFeb 9 2012, 10:55 PM

(In reply to comment #14)

The but 20512, of which this is assumed to be a duplicate is completely opaque
to me. Is it wise to drop a well documented, well discussed bug thread in favor
of a narrow, undocumented, technical one?

There is no extra information needed here, progress to fix the bug has occured over at 20512, and will be fixed in 1.20

  • This bug has been marked as a duplicate of bug 20512 ***
G.Hagedorn added a comment.Via ConduitFeb 9 2012, 11:00 PM

g.m.hagedorn wrote:

(I appreciate the often unpaid enthusiasm of you and all other developers, but I think it is problematic if you refuse to communicate with users of mediawiki ...)

mxn added a subscriber: mxn.Via WebNov 24 2014, 8:51 PM
Gilles added a project: Multimedia.Via WebDec 4 2014, 9:22 AM
Gilles raised the priority of this task from "Low" to "Unbreak Now!".Via WebDec 4 2014, 10:12 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Low".Via ConduitDec 4 2014, 11:20 AM
epriestley added a commit: Unknown Object (Commit).Via DaemonsWed, Mar 4, 8:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.